#version 150

in vec3 vertex;
in vec3 normal;
in vec2 uv;

uniform vec3 lightPosition;
uniform mat4 P;
uniform mat4 V;
uniform mat4 M;

out vec3 light_vector;
out vec3 normal_vector;
out vec3 halfway_vector;
out vec2 UV;

void main() {
	gl_Position = P * V * M * vec4(vertex, 1.0);
	gl_Position /= gl_Position.w;

	vec4 v = V * M * vec4(vertex, 1.0);
	vec3 normal1 = normalize(normal);

	light_vector = vec3(0.0,0.0,1.0);
	normal_vector = (V * M * vec4(normal1, 0.0)).xyz;
    halfway_vector = light_vector + normalize(-v.xyz);

	UV = vec2(0,0);
}