#! /bin/sh
# setup.sh Update Installation Script
# Last Change: 20160406 FW

S=/media/stick
Z=/opt

# Apply time information
cp -f $S/udata/readTime $Z/
cp -f $S/udata/readTime.sh $Z/
cp -f $S/udata/readTime.sh /etc/init.d/
chmod +x /etc/init.d/readTime.sh
cd /etc/rc.d/rcS.d/
ln -s -f /etc/init.d/readTime.sh S50time

/opt/readTime

# Show Update Screen
cp -f $S/udata/update.bmp $Z/
/opt/updateScreen.sh

cp -f $S/udata/gejos.bmp $Z/pics/

# Copy libraries and kernel modules
rm -f $Z/gstreamer/lib/gstreamer-0.10/libgstdataoverlay.so
cp -f $S/udata/libgstticodecplugin.so $Z/gstreamer/lib/gstreamer-0.10/
cp -f $S/udata/libgstfreeze.so $Z/gstreamer/lib/gstreamer-0.10/
cp -f $S/udata/libgstvideo4linux2.so $Z/gstreamer/lib/gstreamer-0.10/
sync

# Copy TI Codecs
rm -f $Z/*.x64P
cp -f $S/udata/*.x64P $Z/
sync

# Copy additional code pages
cp -f $S/udata/nls_cp850.ko /lib/modules/2.6.18_pro500-davinci_evm-arm_v5t_le/kernel/fs/nls/
cp -f $S/udata/nls_cp866.ko /lib/modules/2.6.18_pro500-davinci_evm-arm_v5t_le/kernel/fs/nls/
cp -f $S/udata/nls_cp1250.ko /lib/modules/2.6.18_pro500-davinci_evm-arm_v5t_le/kernel/fs/nls/
cp -f $S/udata/nls_iso8859-15.ko /lib/modules/2.6.18_pro500-davinci_evm-arm_v5t_le/kernel/fs/nls/

# Copy Shell scripts
cp -f $S/udata/startVideoBox.sh /etc/init.d/
cp -f $S/udata/start.sh $Z/scripts/
cp -f $S/udata/mount-usb.sh $Z/scripts/
cp -f $S/udata/mount-usb-ru.sh $Z/scripts/

# Copy helper binaries
cp -f $S/udata/convert_to_new_files $Z/
cp -f $S/udata/VideoBox_3_0_0 $Z/
cp -f $S/udata/VB3Convert $Z/
cp -f $S/udata/correctNennTolerance $Z/
cp -f $S/udata/EditSettings $Z/
sync

# Apply updates to previous configuration settings
if [ ! -d "/opt/data/.configs" ]; then
 /opt/convert_to_new_files
fi

# Execute helper tools
/opt/correctNennTolerance
/opt/VB3Convert
/opt/EditSettings

# Remove helper tools
rm -f /opt/convert_to_new_files
rm -f /opt/VB3Convert
rm -f /opt/correctNennTolerance
rm -f /opt/EditSettings

# Apply ini changes
sed -i.org 's/^brightness=.*$/brightness=255/g' $Z/data/.vbsettings	# (Re)set Brightness to maximum
#sed -i.org 's/^contrast=.*$/contrast=178/g' $Z/data/.vbsettings		# (Re)set Contrast to 178
sed -i.org 's/blending=1/blending=0/g' $Z/data/.vbsettings		# (Re)Set to hard video overlay
#sed -i.org 's/blending=1/blending=0/g' $Z/data/data/camprofile_neu.txt	# (Re)Set camera tolerances to 4 pixels
sed -i.org 's/^base_time=.*$/base_time=3/g' $Z/data/.vbsettings		# (Re)Set to show base data for 3 sec
sed -i.org 's/^text_time=.*$/text_time=5/g' $Z/data/.vbsettings		# (Re)Set to show observation data for 5 sec

# Copy NORM definitions
cp -f $S/udata/ATV.xml $Z/
cp -f $S/udata/DWA_M149_2.xml $Z/
cp -f $S/udata/Isybau_2006.xml $Z/
cp -f $S/udata/EN_135082_de.xml $Z/
cp -f $S/udata/EN_135082_es.xml $Z/
cp -f $S/udata/EN_135082_en.xml $Z/
cp -f $S/udata/EN_135082_fr.xml $Z/
cp -f $S/udata/EN_135082_hr.xml $Z/
cp -f $S/udata/EN_135082_pl.xml $Z/
cp -f $S/udata/EN_135082_ru.xml $Z/
cp -f $S/udata/NORVAR_145_2005.xml $Z/
cp -f $S/udata/DanDas.xml $Z/
sync

# Copy gstreamer files
cp -f $S/udata/tmp.tar $Z/
sync
cd /opt/
tar -xvvf tmp.tar

# Copy language files
cp -f $S/udata/lang.tar $Z/data/
sync
cd /opt/data/
#rm -r lang/
tar -xvvf lang.tar

cd /opt/
rm -r atv/
rm -r DIN_EN_13508-2/

# Copy player
cp -f $S/udata/player.tar $Z/
sync
cd /opt/
rm -r /opt/player/
tar -xvvf player.tar

cp -f $S/udata/GEJOS_Linear2 $Z/data/hasp/GEJOS_Linear2

rm /opt/data/hasp/GEJOS_KaRo*

# Remove Update files from USB Stick
rm -r /media/stick/udata
rm -r /media/stick/setup.sh
sync
